Download it now!
Bug 102785 - Font in info bar should be black
Summary: Font in info bar should be black
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:5.4.0
Keywords: easyHack, needsDevEval, topicUI
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2016-09-29 08:26 UTC by Heiko Tietze
Modified: 2017-02-27 16:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot with the issue (4.95 KB, image/png)
2016-09-29 08:26 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2016-09-29 08:26:57 UTC
Created attachment 127717 [details]
Screenshot with the issue

I'm running a dark theme with white labels. The yellow (or red) info bar (message panel above the content) uses the system font setting and shows a white label on yellow background. We should not the system colors when the background has a fix color and make it black by default (or rather dark gray).
Comment 1 Heiko Tietze 2016-09-29 08:28:42 UTC
That's likely a very simple easyhack. NEEDINFO for the code pointers and other keywords.
Comment 2 jani 2016-11-11 11:45:43 UTC
We no longer use NEEDINFO, the QA team wanted that reserved for other purposes.

And based on the latest discussion, before developers start looking at it, the UX team must decide on the change.
Comment 3 Heiko Tietze 2016-11-11 12:46:45 UTC
(In reply to jan iversen from comment #2)
> And based on the latest discussion, before developers start looking at it,
> the UX team must decide on the change.

Since no further contribution to the discussion was done I assume all agree with my statement. It's a bug to mix system default and fix defined colors. This particular issue can be solved by setting font color to dark gray for the info bar.
Comment 4 Commit Notification 2017-02-27 15:49:33 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd8c68c99cce51a3368d8ddfd6e11dccb72d8f49

tdf#105829 Infobar design, tdf#102785 Font issue

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.